This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 973623 - Fedora19:beta: coredump found while using epiphany browser
Fedora19:beta: coredump found while using epiphany browser
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
19
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 07:13 EDT by IBM Bug Proxy
Modified: 2015-02-17 10:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:33:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 94536 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-06-12 07:13:24 EDT
Epiphany randomly crashes due to a segmentation violation

# epiphany www.google.com
** (WebKitWebProcess:18971): WARNING **: uri_tester_compile_regexp: Error while compiling regular expression /cdn-cgi/pe/bag\?r[]=.*cpalead.com at char 34: missing terminating ] for character class
(WebKitWebProcess:18971): GLib-CRITICAL **: g_regex_unref: assertion `regex != NULL' failed
** (WebKitWebProcess:18995): WARNING **: uri_tester_compile_regexp: Error while compiling regular expression /cdn-cgi/pe/bag\?r[]=.*cpalead.com at char 34: missing terminating ] for character class
(WebKitWebProcess:18995): GLib-CRITICAL **: g_regex_unref: assertion `regex != NULL' failed
Segmentation fault (core dumped)

(gdb) bt
#0  0x00000080d5d719b4 in webkit_web_view_get_tls_info () from /lib64/libwebkit2gtk-3.0.so.25
#1  0x0000000010086954 in load_changed_cb (web_view=0x1001f8fc1c0 [EphyWebView], load_event=<optimized out>, user_data=<optimized out>) at ephy-web-view.c:2152
#2  0x00000080cb3e0588 in g_cclosure_marshal_VOID__ENUM (closure=0x1001f900580, return_value=<optimized out>, n_param_values=<optimized out>, param_values=0x3fffe1fea6c0, invocation_hint=<optimized out>, marshal_data=0x0)
    at gmarshal.c:668
#3  0x00000080cb3dcb68 in g_closure_invoke (closure=0x1001f900580, return_value=0x0, n_param_values=<optimized out>, param_values=0x3fffe1fea6c0, invocation_hint=0x3fffe1fea5a8) at gclosure.c:777
#4  0x00000080cb3f6c58 in signal_emit_unlocked_R (node=node@entry=0x1001f6fd040, detail=detail@entry=0, instance=instance@entry=0x1001f8fc1c0, emission_return=emission_return@entry=0x0, 
    instance_and_params=instance_and_params@entry=0x3fffe1fea6c0) at gsignal.c:3584
#5  0x00000080cb3fff00 in g_signal_emit_valist (instance=0x1001f8fc1c0, signal_id=<optimized out>, detail=<optimized out>, var_args=<optimized out>) at gsignal.c:3328
#6  0x00000080cb400168 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3384
#7  0x00000080d5d72c2c in webkitWebViewEmitLoadChanged () from /lib64/libwebkit2gtk-3.0.so.25
#8  0x00000080d5d72d9c in webkitWebViewEmitDelayedLoadEvents () from /lib64/libwebkit2gtk-3.0.so.25
#9  0x00000080d5d734c4 in webkitWebViewLoadChanged () from /lib64/libwebkit2gtk-3.0.so.25
#10 0x00000080d5d46608 in didStartProvisionalLoadForFrame () from /lib64/libwebkit2gtk-3.0.so.25
#11 0x00000080d5df8b94 in WebKit::WebLoaderClient::didStartProvisionalLoadForFrame () from /lib64/libwebkit2gtk-3.0.so.25
#12 0x00000080d5e154b4 in WebKit::WebPageProxy::didStartProvisionalLoadForFrame () from /lib64/libwebkit2gtk-3.0.so.25
#13 0x00000080d5f2e070 in CoreIPC::handleMessageVariadic<Messages::WebPageProxy::DidStartProvisionalLoadForFrame, WebKit::WebPageProxy, void (WebKit::WebPageProxy::*)(unsigned long, WTF::String const&, WTF::String const&, CoreIPC::MessageDecoder&)> () from /lib64/libwebkit2gtk-3.0.so.25
#14 0x00000080d5f2cc84 in WebKit::WebPageProxy::didReceiveMessage () from /lib64/libwebkit2gtk-3.0.so.25
#15 0x00000080d5ca9cf4 in CoreIPC::MessageReceiverMap::dispatchMessage () from /lib64/libwebkit2gtk-3.0.so.25
#16 0x00000080d5ccc444 in WebKit::ChildProcessProxy::dispatchMessage () from /lib64/libwebkit2gtk-3.0.so.25
#17 0x00000080d5e366d8 in WebKit::WebProcessProxy::didReceiveMessage () from /lib64/libwebkit2gtk-3.0.so.25
#18 0x00000080d5c9febc in CoreIPC::Connection::dispatchMessage () from /lib64/libwebkit2gtk-3.0.so.25
#19 0x00000080d5ca1100 in CoreIPC::Connection::dispatchMessage () from /lib64/libwebkit2gtk-3.0.so.25
#20 0x00000080d5ca1374 in CoreIPC::Connection::dispatchOneMessage () from /lib64/libwebkit2gtk-3.0.so.25
#21 0x00000080d5ca579c in WTF::BoundFunctionImpl<WTF::FunctionWrapper<void (CoreIPC::Connection::*)()>, void (CoreIPC::Connection*)>::operator()() () from /lib64/libwebkit2gtk-3.0.so.25
#22 0x00000080d72e1320 in WebCore::RunLoop::performWork () from /lib64/libwebkit2gtk-3.0.so.25
#23 0x00000080d7971950 in WebCore::RunLoop::queueWork () from /lib64/libwebkit2gtk-3.0.so.25
#24 0x00000080cb2345e0 in g_idle_dispatch (source=<optimized out>, callback=<optimized out>, user_data=<optimized out>) at gmain.c:5205
#25 0x00000080cb239520 in g_main_dispatch (context=0x1001efb9280) at gmain.c:3054
#26 g_main_context_dispatch (context=0x1001efb9280) at gmain.c:3630
#27 0x00000080cb2399f8 in g_main_context_iterate (context=context@entry=0x1001efb9280, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#28 0x00000080cb239b04 in g_main_context_iteration (context=0x1001efb9280, may_block=<optimized out>) at gmain.c:3762
#29 0x00000080cb5612cc in g_application_run (application=0x1001f08f0c0 [EphyShell], argc=<optimized out>, argv=0x3fffe1febb78) at gapplication.c:1623
#30 0x0000000010030bf4 in main (argc=1, argv=0x3fffe1febb78) at ephy-main.c:472
Comment 1 IBM Bug Proxy 2013-10-18 10:51:36 EDT
------- Comment From shubgoya@in.ibm.com 2013-10-18 14:45 EDT-------
Closing per comment 7...
Comment 2 Fedora End Of Life 2015-01-09 13:24:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:33:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.